Bug 826138 - segfault in remember_a_message_plural
segfault in remember_a_message_plural
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 13:09 EDT by Remi Collet
Modified: 2012-06-13 17:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-09 21:30:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
03-fix-xgettext-crash (4.88 KB, patch)
2012-05-29 13:12 EDT, Remi Collet
no flags Details | Diff

  None (edit)
Description Remi Collet 2012-05-29 13:09:25 EDT
Description of problem:
segfault

Version-Release number of selected component (if applicable):
0.18.1.1-12.fc17

How reproducible:
Always

Steps to Reproduce:
1. svn co https://forge.indepenet.net/svn/glpi/trunk glpi
2. cd glpi/plugins
3. svn co https://forge.indepenet.net/svn/ocsinventoryng/trunk ocsinventoryng
4. cd ocsinventoryng
5. 
  
Actual results:
segfault

Expected results:
no segfault

Additional info:
No issue on debian
Comment 1 Remi Collet 2012-05-29 13:10:33 EDT
Sorry miss the command and the backtrace

$ gdb xgettext 
(gdb) run  *.php */*.php  -o locales/glpi.pot -L PHP --add-comments=TRANS --exclude-file=../../locales/glpi.pot --from-code=UTF-8 --force-po  --keyword=_n:1,2 --keyword=__s --keyword=__ --keyword=_e --keyword=_x:1c,2 --keyword=_ex:1c,2 --keyword=_nx:1c,2,3
Starting program: /usr/bin/xgettext *.php */*.php  -o locales/glpi.pot -L PHP --add-comments=TRANS --exclude-file=../../locales/glpi.pot --from-code=UTF-8 --force-po  --keyword=_n:1,2 --keyword=__s --keyword=__ --keyword=_e --keyword=_x:1c,2 --keyword=_ex:1c,2 --keyword=_nx:1c,2,3
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
remember_a_message_plural (mp=mp@entry=0x0, string=0x9a2a60 "OCSNG links", context=..., context@entry=..., pos=pos@entry=0x9a3060, comment=comment@entry=0x0) at xgettext.c:2438
2438	  if (mp->msgid_plural == NULL)
(gdb) bt
#0  remember_a_message_plural (mp=mp@entry=0x0, string=0x9a2a60 "OCSNG links", context=..., context@entry=..., pos=pos@entry=0x9a3060, comment=comment@entry=0x0) at xgettext.c:2438
#1  0x00000000004086c9 in arglist_parser_done (ap=ap@entry=0x9a2fc0, argnum=argnum@entry=3) at xgettext.c:2937
#2  0x00000000004216b9 in extract_balanced (mlp=mlp@entry=0x997ec0, delim=delim@entry=token_type_rparen, outer_context=..., context_iter=..., argparser=0x9a2fc0) at x-php.c:1481
#3  0x0000000000421744 in extract_balanced (mlp=mlp@entry=0x997ec0, delim=delim@entry=token_type_eof, outer_context=..., context_iter=..., argparser=0x99a3a0) at x-php.c:1466
#4  0x0000000000421b0a in extract_php (f=<optimized out>, real_filename=<optimized out>, logical_filename=<optimized out>, flag_table=0x6369e0, mdlp=<optimized out>) at x-php.c:1586
#5  0x00000000004063cf in extract_from_file (file_name=file_name@entry=0x997800 "inc/ocslink.class.php", extractor=..., mdlp=mdlp@entry=0x997e50) at xgettext.c:1957
#6  0x0000000000404939 in main (argc=<optimized out>, argv=<optimized out>) at xgettext.c:779
Comment 2 Remi Collet 2012-05-29 13:11:10 EDT
Applying the fix from debian fix this issue
See https://github.com/remicollet/remirepo/commit/91ef3a0ea886ff77cd5e5a268d4671e2ca894442
Comment 3 Remi Collet 2012-05-29 13:12:02 EDT
Created attachment 587462 [details]
03-fix-xgettext-crash

Patch from debian http://bugs.debian.org/608181
Comment 4 Fedora Update System 2012-06-01 02:46:43 EDT
gettext-0.18.1.1-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gettext-0.18.1.1-14.fc17
Comment 5 Fedora Update System 2012-06-01 02:50:19 EDT
gettext-0.18.1.1-9.1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gettext-0.18.1.1-9.1.fc16
Comment 6 Fedora Update System 2012-06-01 12:51:13 EDT
Package gettext-0.18.1.1-9.1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gettext-0.18.1.1-9.1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8673/gettext-0.18.1.1-9.1.fc16
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-06-09 21:30:50 EDT
gettext-0.18.1.1-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-06-13 17:32:48 EDT
gettext-0.18.1.1-9.1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.